Update individual fields of a fleet

View as Markdown
Update a fleet and return the read serializer representation.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this fleet.

Request

This endpoint expects an object.
namestringOptional1-128 characters
clusterstring or nullOptionalformat: "uuid"

Cluster used to run pod-based simulations in.

flagsobjectOptional
Behavior flags for the fleet.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
namestringRead-only
org_namestring or nullRead-only
Name of the organization that owns this fleet, or null for public fleets.
clusterstring or nullRead-onlyformat: "uuid"
The cluster that the fleet is a member of.
flagsobjectOptional
Behavior flags for the fleet.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error